# $Id: gneutronica.spec 4412 2006-05-26 11:11:09Z dries $
# Authority: dries
# Upstream: Stephen Cameron <smcameron$yahoo,com>

Summary: MIDI drum machine
Name: gneutronica
Version: 0.31
Release: 1.rf
License: GPL
Group: Applications/Multimedia
URL: http://sourceforge.net/projects/gneutronica/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/gneutronica/gneutronica-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gtk2-devel, desktop-file-utils

%description
Gneutronica is a MIDI drum machine for Linux with a Gnome/GTK user interface 
which provides a means to easily create and play back drum tracks to MIDI 
devices (and to softsynths via snd_virmidi).

%prep
%setup
%{__perl} -pi -e 's|/usr/share/man|\$\{mandir\}|g;' Makefile
%{__perl} -pi -e 's|/usr/share/pixmaps|\$\{datadir\}/pixmaps|g;' Makefile
%{__perl} -pi -e 's|/usr/local/share|%{_datadir}|g;' *.c

%{__cat} <<EOF >%{name}.desktop
[Desktop Entry]
Name=Gneutronica
Comment=MIDI drum machine
Icon=gneutronica_icon.png
Exec=gneutronica
Terminal=false
Type=Application
StartupNotify=true
Categories=Application;AudioVideo;
EOF

%build
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_bindir} %{buildroot}%{_datadir}/pixmaps %{buildroot}%{_mandir}/man1
%makeinstall BINDIR=%{buildroot}%{_bindir} SHAREDIR=%{buildroot}%{_datadir}/gneutronica

%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
desktop-file-install --vendor rpmforge             \
	--add-category X-Red-Hat-Base              \
	--dir %{buildroot}%{_datadir}/applications \
	%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING INSTALL TODO
%doc %{_mandir}/man1/gneutronica*
%{_bindir}/gneutronica
%{_datadir}/gneutronica/
%{_datadir}/pixmaps/gneutronica_icon.png
%{_datadir}/applications/*-gneutronica.desktop

%changelog
* Tue May 24 2006 Dries Verachtert <dries@ulyssis.org> - 0.31-1 - 4412/dries
- Initial package.
